libglom-1.20: Glom::Document::DocumentTableInfo Class Reference

libglom-1.20 1.19.14

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes
Glom::Document::DocumentTableInfo Class Reference
Collaboration diagram for Glom::Document::DocumentTableInfo:
[legend]

List of all members.

## Public Types
typedef std::list< LayoutInfo > | type_layouts
typedef std::map < Glib::ustring, sharedptr < Report > > | type_reports
typedef std::map < Glib::ustring, sharedptr < PrintLayout > > | type_print_layouts
typedef std::map < Glib::ustring, Gnome::Gda::Value > | type_map_layout_primarykeys
## Public Member Functions
| DocumentTableInfo ()
| DocumentTableInfo (const DocumentTableInfo& src)
DocumentTableInfo& | operator= (const DocumentTableInfo& src)
## Public Attributes
sharedptr< TableInfo > | m_info
type_vec_fields | m_fields
type_vec_relationships | m_relationships
type_layouts | m_layouts
type_reports | m_reports
type_print_layouts | m_print_layouts
type_example_rows | m_example_rows
type_map_layout_primarykeys | m_map_current_record
Glib::ustring | m_layout_current
FoundSet | m_foundset_current
float | m_overviewx
float | m_overviewy

## Member Typedef Documentation

typedef std::list< LayoutInfo > Glom::Document::DocumentTableInfo::type_layouts

typedef std::map<Glib::ustring, Gnome::Gda::Value> Glom::Document::DocumentTableInfo::type_map_layout_primarykeys

typedef std::map< Glib::ustring, sharedptr<PrintLayout> > Glom::Document::DocumentTableInfo::type_print_layouts

typedef std::map< Glib::ustring, sharedptr<Report> > Glom::Document::DocumentTableInfo::type_reports

## Constructor & Destructor Documentation

Glom::Document::DocumentTableInfo::DocumentTableInfo | ( |  | ) | `[inline]`

Glom::Document::DocumentTableInfo::DocumentTableInfo | ( | const DocumentTableInfo& | src | ) | `[inline]`

## Member Function Documentation

DocumentTableInfo& Glom::Document::DocumentTableInfo::operator= | ( | const DocumentTableInfo& | src | ) | `[inline]`

## Member Data Documentation

type_example_rows Glom::Document::DocumentTableInfo::m_example_rows

type_vec_fields Glom::Document::DocumentTableInfo::m_fields

FoundSet Glom::Document::DocumentTableInfo::m_foundset_current

sharedptr<TableInfo> Glom::Document::DocumentTableInfo::m_info

Glib::ustring Glom::Document::DocumentTableInfo::m_layout_current

type_layouts Glom::Document::DocumentTableInfo::m_layouts

type_map_layout_primarykeys Glom::Document::DocumentTableInfo::m_map_current_record

float Glom::Document::DocumentTableInfo::m_overviewx

float Glom::Document::DocumentTableInfo::m_overviewy

type_print_layouts Glom::Document::DocumentTableInfo::m_print_layouts

type_vec_relationships Glom::Document::DocumentTableInfo::m_relationships

type_reports Glom::Document::DocumentTableInfo::m_reports

The documentation for this class was generated from the following file:

- libglom/document/document.h